Package ru.bitel.bgbilling.modules.inet.server.bean

# Class InetDeviceMap.InetDeviceMapItem

java.lang.Object
ru.bitel.bgbilling.modules.inet.server.bean.InetDeviceMap.InetDeviceMapItem

Enclosing class:
  `InetDeviceMap`

public class InetDeviceMap.InetDeviceMapItem extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetDeviceMapItem(InetDeviceMap.InetDeviceMapItem parent, InetDevice device, ParameterMap config, ParameterMap selfConfig, Map<Integer,List<Integer>> flowAgentIfaceMap)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InetDeviceMap.InetDeviceMapItem`
  `findRoot(Set<Integer> rootDeviceTypeId)`
  `Set<Integer>`
  `getAncestorIds()`
  ID всех предков.
  `ParameterMap`
  `getConfig()`
  Конфигурация с наследованием от устройств-предков.
  `Set<Integer>`
  `getDescendantIds()`
  ID всех потомков.
  `InetDevice`
  `getDevice()`
  `Map<Integer,List<Integer>>`
  `getFlowAgentIfaceMap()`
  `InetDeviceMap.InetDeviceMapItem`
  `getParent()`
  `ParameterMap`
  `getSelfConfig()`
  Конфигурация самого устройства + типа устройства.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetDeviceMapItem

    public InetDeviceMapItem(InetDeviceMap.InetDeviceMapItem parent, InetDevice device, ParameterMap config, ParameterMap selfConfig, Map<Integer,List<Integer>> flowAgentIfaceMap)

- ## Method Details

  - ### getParent

    public InetDeviceMap.InetDeviceMapItem getParent()

  - ### getDevice

    public InetDevice getDevice()

  - ### getConfig

    public ParameterMap getConfig()
    Конфигурация с наследованием от устройств-предков.
    Returns:

  - ### getSelfConfig

    public ParameterMap getSelfConfig()
    Конфигурация самого устройства + типа устройства.
    Returns:

  - ### getFlowAgentIfaceMap

    public Map<Integer,List<Integer>> getFlowAgentIfaceMap()

  - ### getDescendantIds

    public Set<Integer> getDescendantIds()
    ID всех потомков.

  - ### getAncestorIds

    public Set<Integer> getAncestorIds()
    ID всех предков.

  - ### findRoot

    public InetDeviceMap.InetDeviceMapItem findRoot(Set<Integer> rootDeviceTypeId)